#ifndef __KITT_H__
#define __KITT_H__

/*********************************************************************
  Kitt Widget
*/

/* Parameters:

 Name                Class              RepType         Default Value
 ----                -----              -------         -------------
 interval            Interval           unsigned int    100
 segments            Segments           unsigned int    7

*/

#include <X11/Intrinsic.h>

#ifdef __cplusplus
extern "C" {
#endif

/*********************************************************************
  Resource name, class and type definitions not in StringDefs.h
*/

#define XtNsegments "segments"
#define XtNinterval "interval"

#define XtCSegments "Segments"

/*********************************************************************
  External reference to Class Record for Kitt
*/

extern WidgetClass		kittWidgetClass;

#ifndef XtIsKitt
#define XtIsKitt(w) XtIsSubclass((w), kittWidgetClass)
#endif

/*********************************************************************
  typedef for KittWidget
*/

typedef struct _KittRec*		KittWidget;
typedef struct _KittClassRec*	KittWidgetClass;

/*********************************************************************
 External Routines
*/

/********************************************************************/

#ifdef __cplusplus
}	/* extern "C" */
#endif

/********************************************************************/
#endif /* __KITT_H__ */
